commit:     b24c99e5a197af4fff8026ee823d8b60f272d7d9
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 24 19:23:34 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Jul 24 19:24:05 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b24c99e5

sci-ml/cudnn-frontend: add 1.12.1

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 sci-ml/cudnn-frontend/Manifest                     |  1 +
 sci-ml/cudnn-frontend/cudnn-frontend-1.12.1.ebuild | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/sci-ml/cudnn-frontend/Manifest b/sci-ml/cudnn-frontend/Manifest
index 1d51b410b113..4a744122f37d 100644
--- a/sci-ml/cudnn-frontend/Manifest
+++ b/sci-ml/cudnn-frontend/Manifest
@@ -1,2 +1,3 @@
 DIST cudnn-frontend-1.10.0.tar.gz 662344 BLAKE2B 
f151a57afdf41c03829b67d9ecda0e78697b3cf8bd1d4fc460a0e1ece6f79ee4c8dcb9615f630f9fc0c8d44cd1f2de249ac260d6e1386d696fa09536e7e23258
 SHA512 
24df540fa3adb82d3632aa41f58e5c03da55d064f69e7f109668365995e189a4968c18881c6b4e9ed1a9bc3fa0347e9df01ae85aff2d7f330c0328ff56d27eab
 DIST cudnn-frontend-1.11.0.tar.gz 653191 BLAKE2B 
2f784424bb4c850683b8ecf0b24e03c761227f839d63ad92eba38b5d9a530800a32e7311f27c0bc9e31a0bfc26324acf4d194d143f69f1b6094a3958d2874ce0
 SHA512 
2d50fbedc1d2f488275aedce84893447a025d4c00b9e8609c4004b2eb0525480a348835d0e8b2784499d80d0c63d75bb1430741cb06c3652da8dd72b822489fa
+DIST cudnn-frontend-1.12.1.tar.gz 1683639 BLAKE2B 
1d00e0caea27fc63883b867fa192f1346c67318f4781b0255e0203753a7ead80746291736e6972c58aa8a1870ccac38ea4dbfe551e5da97596a857d53bc826ea
 SHA512 
02dba5b4480099d1e14abb2fc16d64466955988932bbfdabfe58104576582c644cacec07674baf23e51bb3d8311e5b7080b1e3b3c140d9f463767c2f117e750e

diff --git a/sci-ml/cudnn-frontend/cudnn-frontend-1.12.1.ebuild 
b/sci-ml/cudnn-frontend/cudnn-frontend-1.12.1.ebuild
new file mode 100644
index 000000000000..d75bfa8c4efb
--- /dev/null
+++ b/sci-ml/cudnn-frontend/cudnn-frontend-1.12.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cuda cmake
+
+DESCRIPTION="A c++ wrapper for the cudnn backend API"
+HOMEPAGE="https://github.com/NVIDIA/cudnn-frontend";
+
+SRC_URI="https://github.com/NVIDIA/cudnn-frontend/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~amd64-linux"
+IUSE="samples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/cudnn
+"
+DEPEND="${RDEPEND}
+       dev-cpp/nlohmann_json
+       test? (
+               >dev-cpp/catch-3
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.11.0-fix.patch"
+)
+
+src_prepare() {
+       cmake_src_prepare
+
+       sed -e 
's#"cudnn_frontend/thirdparty/nlohmann/json.hpp"#<nlohmann/json.hpp>#' \
+               -i include/cudnn_frontend_utils.h || die
+
+       rm -r include/cudnn_frontend/thirdparty || die
+}
+
+src_configure() {
+       local narch
+       if use amd64; then
+               narch="x86_64"
+       elif use arm64; then
+               narch="sbsa"
+       fi
+
+       local mycmakeargs=(
+               -DCUDNN_FRONTEND_BUILD_PYTHON_BINDINGS="no"
+               -DCUDNN_FRONTEND_BUILD_SAMPLES="$(usex test "$(usex samples)")"
+               -DCUDNN_FRONTEND_BUILD_TESTS="$(usex test)"
+               -DCUDNN_FRONTEND_SKIP_JSON_LIB="no"
+       )
+
+       if use samples || use test; then
+               # allow slotted install
+               : "${CUDNN_PATH:=${ESYSROOT}/opt/cuda}"
+               export CUDNN_PATH
+       fi
+
+       cmake_src_configure
+}
+
+src_test() {
+       cuda_add_sandbox -w
+
+       "${BUILD_DIR}/bin/tests" || die
+
+       if use samples; then
+               "${BUILD_DIR}/bin/samples" || die
+               "${BUILD_DIR}/bin/legacy_samples" || die
+       fi
+
+       cmake_src_test
+}

Reply via email to